Bug 773459 - As a translator I want to filter messages in the editor by translation status so that I can concentrate on them
As a translator I want to filter messages in the editor by translation status...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
: UserStory
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-11 16:26 EST by Alex Eng
Modified: 2012-04-23 00:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.5-SNAPSHOT (20120208-1006)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 00:33:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2012-01-11 16:26:14 EST
Filtering translation units in the editor according to the content state (Translated, Fuzzy, Untranslated) and hide mode navigation button when filtering is active. 


The proposed workflow is to allow 3 checkboxes labeled - Translated, Needs Review and Untranslated and based upon the user's selection the appropriate set of strings would be displayed in the editor.

Considerations:

1. Search filtering must be sensibly combined with state filtering
2. Confirmation dialog when editor is open and filter is changed, eg "current cell does not match selected filter", do you want to save it? Save Changes/Discard Changes/Cancel Filter Change
3. (Bonus points: Try to preserve the position (selected TU) if possible.)
Comment 1 Alex Eng 2012-01-31 21:36:41 EST
Implemented in 1.5.
See https://github.com/zanata/zanata/commit/681bb9832327eda581fc1ddfa6e47afb8b64a0e6
Comment 3 Ding-Yi Chen 2012-02-07 23:12:49 EST
VERIFIED with Zanata version 1.5-SNAPSHOT (20120208-1006)

Note You need to log in before you can comment on or make changes to this bug.